package lowLevel.generate;

import static tools.DataStructures.*;

import java.util.ArrayList;
import java.util.HashMap;

import lowLevel.producer.JavaCompilationError;
import lowLevel.producer.JavaProducer;
import tools.DataStructures.Tuple3;

import compiler.Mfjc;

public class Generate {
  public static void javaGeneration(HashMap<String, StringBuffer> code) throws JavaCompilationError {
    ArrayList<Tuple3<StringBuffer, String, StringBuffer>> list = new ArrayList<Tuple3<StringBuffer, String, StringBuffer>>();
    for (String k : code.keySet())
      list.add(T(Mfjc.programCode, k, code.get(k)));
    JavaProducer.translate(Mfjc.getDir(), list);
  }
  public static void generateSingleClass(String name, StringBuffer code) throws JavaCompilationError {
    ArrayList<Tuple3<StringBuffer, String, StringBuffer>> list = new ArrayList<Tuple3<StringBuffer, String, StringBuffer>>();
    list.add(T(Mfjc.programCode, name, code));
    JavaProducer.translate(Mfjc.getDir(), list);
  }
}
