package structure.resource;

import structure.astNode.Ast.ClassName;
import structure.astNode.Ast.Expression;
//RedResource
public class Resource implements IResource {
  public Resource(ClassName name, Expression expression) {
    super();
    this.name = name;
    this.expression = expression;
  }
  public final ClassName name;
  public Expression expression;
  @Override
  public ClassName getName() {
    return name;
  }
  @Override
  public Expression getValue() {
    return expression;
  }
  @Override
  public String toString() {
    return IResource.Static.resourceToString(this);
  }
}
