package tools;

public class ReportingHelpers {
  public static void printAllAbout(Throwable t) {
    System.out.println("\n");
    while (t != null) {
      System.out.println(t);
      for (StackTraceElement e : t.getStackTrace())
        System.out.println(e.toString());
      t = t.getCause();
      if (t != null) System.out.println("caused by");
    }
  }
}
