package visitors;

import structure.astNode.Ast.*;

public class VisitorCollectInternalNames extends VisitorCollecter<MemberName> {
  @Override
  public NoResult visit(InternalFieldAccess e) {
    collected.add(e.value);
    return super.visit(e);
  }
  @Override
  public NoResult visit(InternalMethodCall e) {
    collected.add(e.value);
    return super.visit(e);
  }
}
