package visitors;

import structure.astNode.Ast.*;

public class VisitorCollectUsedTypesStar extends VisitorCollecter<ClassName> {
  @Override
  public NoResult visit(BaseClassValue e) {
    collected.addAll(e.impl);
    return super.visit(e);
  }
  @Override
  public NoResult visit(ClassName e) {
    int pos = e.value.indexOf('[');
    if (pos == -1) collected.add(e);
    else collected.add(new ClassName(e.value.substring(0, pos)));
    return super.visit(e);
  }
  @Override
  public NoResult visit(ClassNameValue e) {
    int pos = e.value.indexOf('[');
    if (pos == -1) collected.add(new ClassName(e.value));
    else collected.add(new ClassName(e.value.substring(0, pos)));
    return super.visit(e);
  }
  
}
