package visitors;

import structure.astNode.Ast.*;

public class VisitorMemberMakeAbstract extends VisitorCloneMember {
  
  @Override
  public AbstractField visit(Field e) {
    return visit(new AbstractField(e.type, e.name));
  }
  @Override
  public AbstractField visit(AbstractField e) {
    return e;
  }
  @Override
  public AbstractMethod visit(Method e) {
    return visit(new AbstractMethod(e.returnType, e.name, e.params));
  }
  
  @Override
  public AbstractMethod visit(AbstractMethod e) {
    return e;
  }
}