package visitors;

import java.util.ArrayList;

import structure.astNode.Ast.*;
import structure.integrity.IntegrityChecker;

public class VisitorMemberMakeAbstractNormalizeParameters extends VisitorMemberMakeAbstract {
  
  @Override
  public AbstractMethod visit(AbstractMethod e) {
    ArrayList<VariableName> n = new ArrayList<VariableName>();
    for (int i = 0; i < e.params.names.size(); i++)
      n.add(new VariableName(IntegrityChecker.forbiddenPrefix + i));
    return new AbstractMethod(e.returnType, e.name, new ParamsDec(e.params.types, n));
  }
}