package visitors;

import structure.astNode.Ast;
import structure.astNode.Ast.BaseClassValue;
import structure.astNode.Ast.MemberName;
public class VisitorRenameMemberNameZero extends VisitorClone {
  public VisitorRenameMemberNameZero(MemberName before, MemberName after) {
    super();
    this.before = before;
    this.after = after;
  }
  
  MemberName before;
  MemberName after;
  public static Ast run(Ast e, MemberName before, MemberName after) {
    VisitorRenameMemberNameZero vv = new VisitorRenameMemberNameZero(before, after);
    return e.accept(vv);
  }
  @Override
  public MemberName visit(MemberName e) {
    if (!e.equals(before)) return e;
    return after;
  }
  @Override
  public BaseClassValue visit(BaseClassValue e) {
    return e;
  }
  
}
