package visitors;

import structure.astNode.Ast.Expression;
import structure.astNode.Ast.VariableName;
import structure.integrity.IntegrityChecker;
public class VisitorRenameVariableNoClashMemberNameStar extends VisitorClone {
  
  public static Expression run(Expression e) {
    VisitorRenameVariableNoClashMemberNameStar vv = new VisitorRenameVariableNoClashMemberNameStar();
    return (Expression) e.accept(vv);
  }
  /*Members mm = new Members();
  for (Member m : e.members.values()) {
    m = (Member) m.accept(vv);
    mm.put(m.getName(), m);
  }
  return new BaseClassValue(e.impl, mm, vv.visit(e.constructor));
  }
  */

  @Override
  public VariableName visit(VariableName e) {
    if (e.equals(VisitorCheckNoVariablesDeclaredTwiceZero.thisVarName)) return VisitorCheckNoVariablesDeclaredTwiceZero.thisVarName;
    return new VariableName(IntegrityChecker.forbiddenPrefix + e.value);
  }
}
