package graphicApplication;

import java.awt.BorderLayout;

import javax.swing.*;

public class JScrollPaneWithTitle extends JComponent {
  JScrollPane inner;
  JComponent innerElem;
  JScrollPaneWithTitle(String title, JComponent element) {
    super();
    innerElem = element;
    this.setLayout(new BorderLayout());
    this.add(BorderLayout.NORTH, new JLabel(title));
    inner = new JScrollPane(element);
    inner.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
    this.add(BorderLayout.CENTER, inner);
  }
  @Override
  public void revalidate() {
    inner.revalidate();
    innerElem.revalidate();
    super.revalidate();
  }
  
}
