package graphicApplication;

import com.Ostermiller.Syntax.Lexer.JavaToken;

public class MFJToken extends JavaToken {
  
  public MFJToken(JavaToken jt) {
    super(//
        jt.getID(),//
        new String(jt.getContents()),//
        jt.getLineNumber(),//
        jt.getCharBegin(),//
        jt.getCharEnd(),//
        jt.getState()//
    );
  }
  @Override
  public boolean isReservedWord() {
    if (getContents().equals("alias")) return true;
    if (getContents().equals("redirect")) return true;
    if (getContents().equals("members")) return true;
    if (getContents().equals("restrict")) return true;
    if (getContents().equals("constructor")) return true;
    if (getContents().equals("main")) return true;
    if (getContents().equals("name")) return true;
    if (getContents().equals("to")) return true;
    return super.isReservedWord();
  }
  
}
