package lowLevel.producer;

import java.io.*;
import java.net.URI;
import java.net.URISyntaxException;

import javax.tools.SimpleJavaFileObject;

public class DiskClassFile extends SimpleJavaFileObject {
  
  protected DiskClassFile(URI name) throws URISyntaxException {
    super(name, Kind.CLASS);
  }
  
  @Override
  public OutputStream openOutputStream() throws IOException {
    File f = new File(this.toUri());
    OutputStream result = new FileOutputStream(f);
    return result;
  }
}
