package lowLevel.producer;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import javax.tools.SimpleJavaFileObject;

class RamJavaFile extends SimpleJavaFileObject {
  public final String programText;
  
  public RamJavaFile(String classSimpleName, String programText) throws URISyntaxException {
    super(new URI(classSimpleName + ".java"), Kind.SOURCE);
    this.programText = programText;
  }
  
  @Override
  public CharSequence getCharContent(boolean ignoreEncodingErrors) throws IOException {
    return programText;
  }
}