package primitiveOperation;

import primitiveType.MFJClass;
import structure.astNode.Ast.Expression;
import structure.astNode.Ast.Statement;
import visitors.VisitorTranslateZero;

public class TranslateExpression {
  public static StringBuffer run(Expression e) {
    VisitorTranslateZero result = new VisitorTranslateZero(null);
    StringBuffer eJ = result.run(e);
    eJ.insert(0, MFJClass.class.getCanonicalName() + " (){return ");
    eJ.append(";}");
    result.generateConstants();
    return eJ;
    
  }
  public static StringBuffer runMain(String mainName, Statement e) {
    StringBuffer mainClass = new StringBuffer("public class " + mainName + " {public static void main(String[]args){ ");
    VisitorTranslateZero result = new VisitorTranslateZero(null);
    StringBuffer eJ = result.run(e);
    eJ.insert(0, mainClass);
    eJ.append("}");
    result.generateConstants();
    eJ.append("}");
    return eJ;
    
  }
}
