package primitiveType;

import structure.astNode.Ast.MemberName;
import structure.astNode.Ast.MemberNameValue;

public class MFJName {
  private final MemberNameValue value;
  public MFJName(String value) {
    this.value = new MemberNameValue(value);
  }
  public MemberName __extract() {
    return new MemberName(value.value);
  }
  @Override
  public String toString() {
    return value.toString();
  }
  @Override
  public boolean equals(Object other) {
    if (!other.getClass().equals(this.getClass())) return false;
    return value.equals(((MFJName) other).value);
  }
  @Override
  public int hashCode() {
    return value.hashCode();
  }
}
