package structure.astNode;

public enum BinOp {
  ClassSum("[+]"), //
  Sum("+"), //
  Minus("-"), //
  Times("*"), //
  Div("/"), //
  Mod("%"), //
  Equals("=="), //
  LessThan("<"), //
  Leq("<="), //
  GreaterThen(">"), //
  Geq(">="), //
  And("&&"), //
  Or("||");//
  
  BinOp(String _repr) {
    this._repr = _repr;
  }
  String _repr;
  public String repr() {
    return _repr;
  }
  public static BinOp fromRepr(String repr) {
    for (BinOp op : BinOp.values())
      if (repr.equals(op.repr())) return op;
    throw new IllegalArgumentException();
  }
}
