package structure.astNode;

import static tools.DataStructures.*;

import java.util.ArrayList;
import java.util.HashSet;

import structure.astNode.Ast.*;

public class Sequence {
  public static ArrayList<ClassName> alClassName(ClassName... args) {
    return AL(args);
  }
  public static ArrayList<VariableName> alVariableName(VariableName... args) {
    return AL(args);
  }
  public static ArrayList<Expression> alExpression(Expression... args) {
    return AL(args);
  }
  public static ArrayList<MemberName> alMemberName(MemberName... args) {
    return AL(args);
  }
  public static ArrayList<Statement> alStatement(Statement... args) {
    return AL(args);
  }
  public static ArrayList<Block> alBlock(Block... args) {
    return AL(args);
  }
  public static HashSet<ClassName> hsClassName(ClassName... args) {
    return S(args);
  }
  public static Members mMember(Member... args) {
    Members result = new Members();
    for (Member m : args)
      result.put(m.getName(), m);
    return result;
  }
}
