package structure.astNode;

public enum UnOp {
  Not("!");
  
  String _repr;
  public String repr() {
    return _repr;
  }
  
  UnOp(String _repr) {
    this._repr = _repr;
  }
  public static UnOp fromRepr(String repr) {
    for (UnOp unOp : UnOp.values())
      if (repr.equals(unOp.repr())) return unOp;
    throw new IllegalArgumentException();
  }
  
}
