package structure.resource;

import structure.astNode.Ast.ClassName;
import structure.astNode.Ast.Expression;
import visitors.VisitorToString;

public interface IResource {
  ClassName getName();
  Expression getValue();
  static class Static {
    public static String resourceToString(IResource r) {
      StringBuffer result = new StringBuffer("class " + r.getName() + " = ");
      StringBuffer tmp = new VisitorToString().run(r.getValue());
      tmp.append("\n");
      while (tmp.charAt(0) == '\n' || tmp.charAt(0) == ' ')
        tmp.deleteCharAt(0);
      result.append(tmp);
      return result.toString();
    }
  }
}
