package visitors;

import java.util.HashSet;

import structure.astNode.Ast;

public abstract class VisitorCollecter<T> extends VisitorReader {
  HashSet<T> collected = new HashSet<T>();
  public HashSet<T> run(Ast start) {
    assert collected.isEmpty();
    start.accept(this);
    return collected;
  }
}
