package visitors;

import structure.astNode.Ast.*;
public class VisitorRenameFromToVariableZero extends VisitorClone {
  public VisitorRenameFromToVariableZero(VariableName before, VariableName after) {
    super();
    this.before = before;
    this.after = after;
  }
  
  VariableName before;
  VariableName after;
  public static Expression run(Expression e, VariableName before, VariableName after) {
    VisitorRenameFromToVariableZero vv = new VisitorRenameFromToVariableZero(before, after);
    return (Expression) e.accept(vv);
  }
  @Override
  public VariableName visit(VariableName e) {
    if (!e.equals(before)) return e;
    return after;
  }
  @Override
  public BaseClassValue visit(BaseClassValue e) {
    return e;
  }
  
}
